Subject: Re: [bitcoin-dev] Taproot proposal

From: Luke Dashjr <[email-masked]>
Date: Wed, 8 May 2019 13:10:17 +0000

On Monday 06 May 2019 20:17:09 Luke Dashjr via bitcoin-dev wrote:
> Some way to sign an additional script (not committed to by the witness
> program) seems like it could be a trivial addition.

This would be especially useful for things like OP_CHECKBLOCKATHEIGHT:

https://github.com/bitcoin/bips/blob/master/bip-0115.mediawiki